Bug 448777 - Backport FCP point-to-point to RHEL 4
Backport FCP point-to-point to RHEL 4
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.6
s390x Linux
high Severity high
: rc
: ---
Assigned To: Hans-Joachim Picht
Martin Jenner
:
Depends On:
Blocks: RHEL4u8_relnotes 461297
  Show dependency treegraph
 
Reported: 2008-05-28 14:45 EDT by Brad Hinson
Modified: 2009-09-03 09:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Systems using zFCP for access to SCSI disks on Red Hat Enterprise Linux 4 require a hardware fibre channel switch to be connected between the mainframe and disk storage. This update enables point-to-point connections, which are fibre connections directly from the mainframe to the disk storage. While connection to a fibre channel switch is still supported, it is no longer required.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Backport from RHEL 5 (6.39 KB, patch)
2008-05-28 14:46 EDT, Brad Hinson
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 45186 None None None Never

  None (edit)
Description Brad Hinson 2008-05-28 14:45:18 EDT
Description of problem:
Request to backport support for point-to-point connection to zfcp module.  Patch
was added to RHEL 5 in bug 184650.  This was checked in upstream 2005-04-21:

http://marc.theaimsgroup.com/?l=git-commits-head&m=111406526331444&w=2

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:

Without patch, when point-to-point is detected, the following error is printed:

"error: Point-to-point fibrechannel configuration detected at adapter [..]
unsupported, shutting down adapter"

With patch, message is logged:

"Point-to-Point fibrechannel configuration detected at adapter [..]"
"Peer WWNN 0x[..]"
"peer WWPN 0x[..]"
"peer d_id 0x[..]"
Comment 1 Brad Hinson 2008-05-28 14:46:43 EDT
Created attachment 306969 [details]
Backport from RHEL 5
Comment 2 Hans-Joachim Picht 2008-05-30 10:30:35 EDT
Posted to rhkernel on May 30. 2008 by Hans-Joachim Picht <hpicht@redhat.com>
Comment 3 IBM Bug Proxy 2008-05-30 10:40:37 EDT
------- Comment From hans@de.ibm.com 2008-05-30 10:39 EDT-------
The patch as been reviewed and is acceptable.
Furthermore the patch has been posted to rhkernel.
A Red Hat Customer has tested the patch and reported that it works.
Comment 4 Brock Organ 2008-06-02 11:24:42 EDT
After talking with IBM System z folks, they've noted:

Do we know what specific reasons this customer needs the PTP functionality in
RHEL?  Do we believe that this patch would be sufficient to ensure production
level support for the customer or might more be required?
Comment 6 Brad Hinson 2008-06-02 13:02:20 EDT
In response to comment 4, this patch is sufficient for production level support.
 The PTP functionality is due to lack of FC switch in their environment, and
inability to move to RHEL 5 at this time.
Comment 7 IBM Bug Proxy 2008-06-09 03:08:32 EDT
------- Comment From mgrf@de.ibm.com 2008-06-09 03:03 EDT-------
Hello Red Hat,
I assume you plan to include this for RHEL4.7.
Is that correct?
Comment 8 RHEL Product and Program Management 2008-09-03 09:00:38 EDT
Updating PM score.
Comment 9 Vivek Goyal 2008-12-10 17:11:49 EST
Committed in 78.21.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 12 Brad Hinson 2009-02-12 14:33:38 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
* s/390 systems using zFCP for access to SCSI disks on Red Hat Enterprise Linux 4 require a hardware fibre channel switch to be connected between the mainframe and disk storage.  This update enables point-to-point connections, which are fibre connections directly from the mainframe to the disk storage.  While connection to a fibre channel switch is still supported, it is no longer required.
Comment 14 Ryan Lerch 2009-02-23 22:53:32 EST
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-* s/390 systems using zFCP for access to SCSI disks on Red Hat Enterprise Linux 4 require a hardware fibre channel switch to be connected between the mainframe and disk storage.  This update enables point-to-point connections, which are fibre connections directly from the mainframe to the disk storage.  While connection to a fibre channel switch is still supported, it is no longer required.+Systems using zFCP for access to SCSI disks on Red Hat Enterprise Linux 4 require a hardware fibre channel switch to be connected between the mainframe and disk storage.  This update enables point-to-point connections, which are fibre connections directly from the mainframe to the disk storage.  While connection to a fibre channel switch is still supported, it is no longer required.
Comment 16 Jan Tluka 2009-04-17 11:12:25 EDT
Patch is in -88.EL kernel.
Comment 18 IBM Bug Proxy 2009-05-06 04:50:31 EDT
------- Comment From mgrf@de.ibm.com 2009-05-06 04:48 EDT-------
Hello Red Hat,
just to note
This is a backport provided by Red Hat,
therefore the resolution "fix_by_IBM" in Red Hat BZ  is not correct.
Comment 19 errata-xmlrpc 2009-05-18 15:17:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.